var group__nrf__crypto__ecdh =
[
    [ "Definitions specific to secp160r1 (NIST 160-bit)", "group__nrf__crypto__ecdh__secp160r1.html", "group__nrf__crypto__ecdh__secp160r1" ],
    [ "Definitions specific to secp160r2 (NIST 160-bit)", "group__nrf__crypto__ecdh__secp160r2.html", "group__nrf__crypto__ecdh__secp160r2" ],
    [ "Definitions specific to secp192r1 (NIST 192-bit)", "group__nrf__crypto__ecdh__secp192r1.html", "group__nrf__crypto__ecdh__secp192r1" ],
    [ "Definitions specific to secp224r1 (NIST 224-bit)", "group__nrf__crypto__ecdh__secp224r1.html", "group__nrf__crypto__ecdh__secp224r1" ],
    [ "Definitions specific to secp256r1 (NIST 256-bit)", "group__nrf__crypto__ecdh__secp256r1.html", "group__nrf__crypto__ecdh__secp256r1" ],
    [ "Definitions specific to secp384r1 (NIST 384-bit)", "group__nrf__crypto__ecdh__secp384r1.html", "group__nrf__crypto__ecdh__secp384r1" ],
    [ "Definitions specific to secp521r1 (NIST 521-bit)", "group__nrf__crypto__ecdh__secp521r1.html", "group__nrf__crypto__ecdh__secp521r1" ],
    [ "Definitions specific to secp160k1 (Koblitz 160-bit)", "group__nrf__crypto__ecdh__secp160k1.html", "group__nrf__crypto__ecdh__secp160k1" ],
    [ "Definitions specific to secp192k1 (Koblitz 192-bit)", "group__nrf__crypto__ecdh__secp192k1.html", "group__nrf__crypto__ecdh__secp192k1" ],
    [ "Definitions specific to secp224k1 (Koblitz 224-bit)", "group__nrf__crypto__ecdh__secp224k1.html", "group__nrf__crypto__ecdh__secp224k1" ],
    [ "Definitions specific to secp256k1 (Koblitz 256-bit)", "group__nrf__crypto__ecdh__secp256k1.html", "group__nrf__crypto__ecdh__secp256k1" ],
    [ "Definitions specific to bp256r1 (Brainpool 256-bit)", "group__nrf__crypto__ecdh__bp256r1.html", "group__nrf__crypto__ecdh__bp256r1" ],
    [ "Definitions specific to bp384r1 (Brainpool 384-bit)", "group__nrf__crypto__ecdh__bp384r1.html", "group__nrf__crypto__ecdh__bp384r1" ],
    [ "Definitions specific to bp512r1 (Brainpool 512-bit)", "group__nrf__crypto__ecdh__bp512r1.html", "group__nrf__crypto__ecdh__bp512r1" ],
    [ "Definitions specific to Curve25519", "group__nrf__crypto__ecdh__curve25519.html", "group__nrf__crypto__ecdh__curve25519" ],
    [ "nrf_crypto_ecdh_context_t", "unionnrf__crypto__ecdh__context__t.html", [
      [ "context_bp256r1", "unionnrf__crypto__ecdh__context__t.html#ac23ec22f9c581be5c8417ddc1254dc39", null ],
      [ "context_bp384r1", "unionnrf__crypto__ecdh__context__t.html#aaf89f76671882dfce53f4ca45a3eae51", null ],
      [ "context_bp512r1", "unionnrf__crypto__ecdh__context__t.html#adb323474cb8f022bcfaadc3d22ee11f7", null ],
      [ "context_curve25519", "unionnrf__crypto__ecdh__context__t.html#ab100aabd4c79ed28602fd48e68767d6e", null ],
      [ "context_secp160k1", "unionnrf__crypto__ecdh__context__t.html#adb2f9e12fe48303d996afb633e024cf7", null ],
      [ "context_secp160r1", "unionnrf__crypto__ecdh__context__t.html#a6092028f972806cc2ff39fc916205806", null ],
      [ "context_secp160r2", "unionnrf__crypto__ecdh__context__t.html#ac491b254567a91c5612cb254127edb3c", null ],
      [ "context_secp192k1", "unionnrf__crypto__ecdh__context__t.html#a8d6394f79c4e8d3792f55a618fb4ef05", null ],
      [ "context_secp192r1", "unionnrf__crypto__ecdh__context__t.html#a142618d5a9ed7a7a63e6182d49e50483", null ],
      [ "context_secp224k1", "unionnrf__crypto__ecdh__context__t.html#a6370e8c5cb0d3958f2eced55f303ce71", null ],
      [ "context_secp224r1", "unionnrf__crypto__ecdh__context__t.html#a68eb7ed5e320193869567a738b81f4ad", null ],
      [ "context_secp256k1", "unionnrf__crypto__ecdh__context__t.html#af4703c087eef194b93cafbab0d4d36e6", null ],
      [ "context_secp256r1", "unionnrf__crypto__ecdh__context__t.html#aefbf5cae1af6213d240d41dd2e2bcb25", null ],
      [ "context_secp384r1", "unionnrf__crypto__ecdh__context__t.html#a1a0c225aa5459346a6ef0754fb07d9c0", null ],
      [ "context_secp521r1", "unionnrf__crypto__ecdh__context__t.html#ad6f091028bcb775f8836c509952347bb", null ]
    ] ],
    [ "NRF_CRYPTO_ECDH_SHARED_SECRET_MAX_SIZE", "group__nrf__crypto__ecdh.html#ga5ee6783438a5dd2a0cb3d1e517a86a76", null ],
    [ "nrf_crypto_ecdh_shared_secret_t", "group__nrf__crypto__ecdh.html#gaf613b90b054c190852cdd68d714bb121", null ],
    [ "nrf_crypto_ecdh_compute", "group__nrf__crypto__ecdh.html#ga000c3c09ac2e0776191d699149188dbc", null ]
];